@Echo off
REM First parameter is the Distribution drive letter.
REM Second parameter is the sub-directory name.

IF NOT %1X == X GOTO OK
ECHO This batch program should not be executed by itself.
ECHO It is executed by the MAKEDD.BAT program.
GOTO EXIT

:OK
REM Change into the directory.
CD .\%2

REM Create directory on the distribution diskette.
ECHO Creating directory: %1:\%2.
MD %1:\%2

IF EXIST MAKEFILE. COPY MAKEFILE. %1:\%2 > Nul
IF EXIST *.C   XCOPY *.C   %1:\%2 > Nul
IF EXIST *.CUR XCOPY *.CUR %1:\%2 > Nul
IF EXIST *.DEF XCOPY *.DEF %1:\%2 > Nul
IF EXIST *.DLG XCOPY *.DLG %1:\%2 > Nul
IF EXIST *.DLL XCOPY *.DLL %1:\%2 > Nul
IF EXIST *.EXE XCOPY *.EXE %1:\%2 > Nul
IF EXIST *.H   XCOPY *.H   %1:\%2 > Nul
IF EXIST *.ICO XCOPY *.ICO %1:\%2 > Nul
IF EXIST *.INF XCOPY *.INF %1:\%2 > Nul
IF EXIST *.LIB XCOPY *.LIB %1:\%2 > Nul
IF EXIST *.MKF XCOPY *.MKF %1:\%2 > Nul
IF EXIST *.RC  XCOPY *.RC  %1:\%2 > Nul

REM Change back into the root directory.
cd ..

REM Return to the caller.
:EXIT
