@ECHO OFF
Rem This file is used to create the distribution diskettes that
Rem accompany "Windows 3: A developer's Guide".

IF NOT %1X == X GOTO MAKEDISK
Echo Please specify a diskette drive letter:
Echo       For example: MAKEDD A
GOTO EXIT


REM **************************************************************************
:MAKEDISK
Echo Insert the Disk 1 in drive %1.
Pause
LABEL A:ADG_1-3

Rem Place installation files in the root directory of Disk 1.
ECHO Copying root directory files to %1:\.
COPY SETUP.08\SETUP.EXE %1:\ > Nul
COPY SETUP.08\SETUP.INF %1:\ > Nul
COPY METER.04\METER.DLL %1:\ > Nul
COPY README.TXT         %1:\ > Nul
COPY NOWINDWS.H         %1:\ > Nul
COPY MAKEALL.BAT        %1:\ > Nul
COPY MAKEDD.BAT         %1:\ > Nul
COPY COPYDIR.BAT        %1:\ > Nul

REM Place each chapter's files on the diskette.
CALL CopyDir %1 VOYEUR.01
CALL CopyDir %1 PMREST.02
CALL CopyDir %1 NOALPHA.02
CALL CopyDir %1 DLGTECH.03

REM **************************************************************************
Echo Insert the Disk 2 in drive %1.
Pause
LABEL A:ADG_4-6

CALL CopyDir %1 METER.04
CALL CopyDir %1 SPIN.04
CALL CopyDir %1 CUSTCNTL.04
CALL CopyDir %1 PRINT.05
CALL CopyDir %1 SCRNBLNK.06
CALL CopyDir %1 ECHO.06


REM **************************************************************************
Echo Insert the Disk 3 in drive %1.
Pause
LABEL A:ADG_7-8

CALL CopyDir %1 MDI.07
CALL CopyDir %1 SETUP.08

ECHO Distribution Diskettes have been created.

REM **************************************************************************
:Exit
