/****************************************************************************
Module name: NOWINDWS.H
Programmer : Jeffrey M. Richter.
Description: Header file to NOT include things in WINDOWS.H.
             This file MUST be included BEFORE WINDOWS.H.  If you desire
             something from WINDOWS.H use an #undef between this file
             and the WINDOWS.H file.
*****************************************************************************/

#define NOGDI
   #define NODRAWTEXT
   #define NOGDICAPMASKS
   #define NOMETAFILE
   #define NORASTEROPS
   #define NOTEXTMETRIC

#define NOKERNEL
   #define NOATOM
   #define NOKEYBOARDINFO
   #define NOLANGUAGE
   #define NOMEMMGR
   #define NOOPENFILE
   #define NORESOURCE

#define NOHELP

#define NOMINMAX

#define NOPROFILER

#define NOUSER
   #define NOCLIPBOARD
   #define NOCOLOR
   #define NOCOMM
   #define NOCTLMGR
   #define NODEFERWINDOWPOS
   #define NOICONS
   #define NOKANJI
   #define NOLSTRING
   #define NOLFILEIO
   #define NOMB
   #define NOMDI
   #define NOMENUS
   #define NOMSG
   #define NOSCROLL
   #define NOSHOWWINDOW
   #define NOSOUND
   #define NOSYSCOMMANDS
   #define NOSYSMETRICS
   #define NOVIRTUALKEYCODES
   #define NOWH
   #define NOWINMESSAGES
      #define NOKEYSTATES
      #define NONCMESSAGES
   #define NOWINOFFSETS
   #define NOWINSTYLES
