/**********************************************************************/
/*          Owlsound.cpp by Bob Bourbonnais & Forrest Foster          */
/*            Released to the public domain 2\6\92                    */
/**********************************************************************/

#include <owl.h>
#include <dialog.h>
#include "bwcc.h"
#include "owlsound.h"

class TDialog2Dialog : public TDialog    // Dialog class to add
  {                                      // processing for menu and
  public:                                // button selections
    TDialog2Dialog(LPSTR lpName)         // constructor calls
      :TDialog(NULL,lpName)
      {
      BWCCGetVersion();
      };
    virtual void HandleButtonMessage(RTMessage Msg) // button handler
      = [ID_FIRST + IDB_MODAL_DIALOG];   // close button handled by
  };                                     // base class button handler
void TDialog2Dialog:: HandleButtonMessage(RTMessage)
  {
#define  C1    1
#define  C1s   2
#define  Db1   2
#define  D1    3
#define  D1s   4
#define  E1b   4
#define  E1    5
#define  F1    6
#define  F1s   7
#define  G1b   7
#define  G1    8
#define  G1s   9
#define  A1b   9
#define  A1   10
#define  A1s  11
#define  B1b  11
#define  B1   12

#define  C2   13
#define  C2s  14
#define  D2b  14
#define  D2   15
#define  D2s  16
#define  E2b  16
#define  E2   17
#define  F2   18
#define  F2s  19
#define  G2b  19
#define  G2   20
#define  G2s  21
#define  A2b  21
#define  A2   22
#define  A2s  23
#define  B2b  23
#define  B2   24

#define  C3   25
#define  C3s  26
#define  D3b  26
#define  D3   27
#define  D3s  28
#define  E3b  28
#define  E3   29
#define  F3   30
#define  F3s  31
#define  G3b  31
#define  G3   32
#define  G3s  33
#define  A3b  33
#define  A3   34
#define  A3s  35
#define  B3b  35
#define  B3   36

#define  C4   37
#define  C4s  38
#define  D4b  38
#define  D4   39
#define  D4s  40
#define  E4b  40
#define  E4   41
#define  F4   42
#define  F4s  43
#define  G4b  43
#define  G4   44
#define  G4s  45
#define  A4b  45
#define  A4   46
#define  A4s  47
#define  B4b  47
#define  B4   48

#define  C5   49
#define  C5s  50
#define  D5b  50
#define  D5   51
#define  D5s  52
#define  E5b  52
#define  E5   53
#define  F5   54
#define  F5s  55
#define  G5b  55
#define  G5   56
#define  G5s  57
#define  A5b  57
#define  A5   58
#define  A5s  59
#define  B5b  59
#define  B5   60

#define  C6   61
#define  C6s  62
#define  D6b  62
#define  D6   63
#define  D6s  64
#define  E6b  64
#define  E6   65
#define  F6   66
#define  F6s  67
#define  G6b  67
#define  G6   68
#define  G6s  69
#define  A6b  69
#define  A6   70
#define  A6s  71
#define  B6b  71
#define  B6   72

#define  C7   73
#define  C7s  74
#define  D7b  74
#define  D7   75
#define  D7s  76
#define  E7b  76
#define  E7   77
#define  F7   78
#define  F7s  79
#define  G7b  79
#define  G7   80
#define  G7s  81
#define  A7b  81
#define  A7   82
#define  A7s  83
#define  B7b  83
#define  B7   84

const int nSoundQueue  = 1;    // Sound queue number

OpenSound();
SetVoiceQueueSize(nSoundQueue,1024);  // Queue size - make this smaller if
				      // you run out of room.

			  // Note  Duration

    SetVoiceNote(nSoundQueue, D4 ,16,0);
    SetVoiceNote(nSoundQueue, F4 ,16,0);
    SetVoiceNote(nSoundQueue, E4 ,16,0);
    SetVoiceNote(nSoundQueue, F4 ,16,0);
    SetVoiceNote(nSoundQueue, D4 ,16,0);
    SetVoiceNote(nSoundQueue, F4 ,16,0);
    SetVoiceNote(nSoundQueue, E4 ,16,0);
    SetVoiceNote(nSoundQueue, F4 ,16,0);

    SetVoiceNote(nSoundQueue, C4 ,16,0);
    SetVoiceNote(nSoundQueue, E4 ,16,0);
    SetVoiceNote(nSoundQueue, D4 ,16,0);
    SetVoiceNote(nSoundQueue, E4 ,16,0);
    SetVoiceNote(nSoundQueue, C4 ,16,0);
    SetVoiceNote(nSoundQueue, E4 ,16,0);
    SetVoiceNote(nSoundQueue, D4 ,16,0);
    SetVoiceNote(nSoundQueue, E4 ,16,0);

    SetVoiceNote(nSoundQueue, B3 ,16,0);
    SetVoiceNote(nSoundQueue, D4 ,16,0);
    SetVoiceNote(nSoundQueue, C4 ,16,0);
    SetVoiceNote(nSoundQueue, D4 ,16,0);
    SetVoiceNote(nSoundQueue, B3 ,16,0);
    SetVoiceNote(nSoundQueue, D4 ,16,0);
    SetVoiceNote(nSoundQueue, C4 ,16,0);
    SetVoiceNote(nSoundQueue, D4 ,16,0);

    SetVoiceNote(nSoundQueue, A3 ,16,0);
    SetVoiceNote(nSoundQueue, C4 ,16,0);
    SetVoiceNote(nSoundQueue, B3 ,16,0);
    SetVoiceNote(nSoundQueue, C4 ,16,0);
    SetVoiceNote(nSoundQueue, A3 ,16,0);
    SetVoiceNote(nSoundQueue, C4 ,16,0);
    SetVoiceNote(nSoundQueue, B3 ,16,0);
    SetVoiceNote(nSoundQueue, C4 ,16,0);

    SetVoiceNote(nSoundQueue, A3b,16,0);
    SetVoiceNote(nSoundQueue, B3 ,16,0);
    SetVoiceNote(nSoundQueue, A3 ,16,0);
    SetVoiceNote(nSoundQueue, B3 ,16,0);

    SetVoiceNote(nSoundQueue, B3 ,16,0);
    SetVoiceNote(nSoundQueue, D4 ,16,0);
    SetVoiceNote(nSoundQueue, C4 ,16,0);
    SetVoiceNote(nSoundQueue, D4 ,16,0);

    SetVoiceNote(nSoundQueue, A3 ,16,0);
    SetVoiceNote(nSoundQueue, C4 ,16,0);
    SetVoiceNote(nSoundQueue, B3 ,16,0);
    SetVoiceNote(nSoundQueue, C4 ,16,0);
    SetVoiceNote(nSoundQueue, A3 ,16,0);
    SetVoiceNote(nSoundQueue, C4 ,16,0);
    SetVoiceNote(nSoundQueue, B3 ,16,0);
    SetVoiceNote(nSoundQueue, C4 ,16,0);

    SetVoiceNote(nSoundQueue, B3 ,16,0);
    SetVoiceNote(nSoundQueue, D4 ,16,0);
    SetVoiceNote(nSoundQueue, C4 ,16,0);
    SetVoiceNote(nSoundQueue, D4 ,16,0);

    SetVoiceNote(nSoundQueue, D4 ,16,0);
    SetVoiceNote(nSoundQueue, F4 ,16,0);
    SetVoiceNote(nSoundQueue, E4 ,16,0);
    SetVoiceNote(nSoundQueue, F4 ,16,0);

    SetVoiceNote(nSoundQueue, C4 ,16,0);
    SetVoiceNote(nSoundQueue, E4 ,16,0);
    SetVoiceNote(nSoundQueue, D4 ,16,0);
    SetVoiceNote(nSoundQueue, E4 ,16,0);
    SetVoiceNote(nSoundQueue, C4 ,16,0);
    SetVoiceNote(nSoundQueue, E4 ,16,0);
    SetVoiceNote(nSoundQueue, D4 ,16,0);
    SetVoiceNote(nSoundQueue, E4 ,16,0);

    SetVoiceNote(nSoundQueue, D4 ,16,0);
    SetVoiceNote(nSoundQueue, F4 ,16,0);
    SetVoiceNote(nSoundQueue, E4 ,16,0);
    SetVoiceNote(nSoundQueue, F4 ,16,0);

    SetVoiceNote(nSoundQueue, A3b,16,0);
    SetVoiceNote(nSoundQueue, B3 ,16,0);
    SetVoiceNote(nSoundQueue, A3 ,16,0);
    SetVoiceNote(nSoundQueue, B3 ,16,0);

    SetVoiceNote(nSoundQueue, D3 ,16,0);
    SetVoiceNote(nSoundQueue, F3 ,16,0);
    SetVoiceNote(nSoundQueue, E3 ,16,0);
    SetVoiceNote(nSoundQueue, F3 ,16,0);

    SetVoiceNote(nSoundQueue, A2b,16,0);
    SetVoiceNote(nSoundQueue, B2 ,16,0);
    SetVoiceNote(nSoundQueue, A2 ,16,0);
    SetVoiceNote(nSoundQueue, B2 ,16,0);

    SetVoiceNote(nSoundQueue, D2 ,16,0);
    SetVoiceNote(nSoundQueue, F2 ,16,0);
    SetVoiceNote(nSoundQueue, E2 ,16,0);
    SetVoiceNote(nSoundQueue, F2 ,16,0);

    SetVoiceNote(nSoundQueue, A1b,16,0);
    SetVoiceNote(nSoundQueue, B1 ,16,0);
    SetVoiceNote(nSoundQueue, A1 ,16,0);
    SetVoiceNote(nSoundQueue, B1 ,16,0);

    SetVoiceNote(nSoundQueue, G1 ,16,0);
    SetVoiceNote(nSoundQueue, B1 ,16,0);
    SetVoiceNote(nSoundQueue, D2 ,16,0);
    SetVoiceNote(nSoundQueue, F2 ,16,0);

    SetVoiceNote(nSoundQueue, B2b,16,0);
    SetVoiceNote(nSoundQueue, F2 ,16,0);
    SetVoiceNote(nSoundQueue, E2 ,16,0);
    SetVoiceNote(nSoundQueue, F2 ,16,0);

    SetVoiceNote(nSoundQueue, B2 ,16,0);
    SetVoiceNote(nSoundQueue, F2 ,16,0);
    SetVoiceNote(nSoundQueue, D3 ,16,0);
    SetVoiceNote(nSoundQueue, B2 ,16,0);

    SetVoiceNote(nSoundQueue, B2b,16,0);
    SetVoiceNote(nSoundQueue, F2 ,16,0);
    SetVoiceNote(nSoundQueue, E2 ,16,0);
    SetVoiceNote(nSoundQueue, F2 ,16,0);

    SetVoiceNote(nSoundQueue, G1 ,16,0);
    SetVoiceNote(nSoundQueue, C2 ,16,0);
    SetVoiceNote(nSoundQueue, E2b,16,0);
    SetVoiceNote(nSoundQueue, G2 ,16,0);

    SetVoiceNote(nSoundQueue, C3 ,16,0);
    SetVoiceNote(nSoundQueue, G2 ,16,0);
    SetVoiceNote(nSoundQueue, G2b,16,0);
    SetVoiceNote(nSoundQueue, G2 ,16,0);

    SetVoiceNote(nSoundQueue, E3b,16,0);
    SetVoiceNote(nSoundQueue, C3 ,16,0);
    SetVoiceNote(nSoundQueue, G3 ,16,0);
    SetVoiceNote(nSoundQueue, E3b,16,0);

    SetVoiceNote(nSoundQueue, C3 ,16,0);
    SetVoiceNote(nSoundQueue, A2b,16,0);
    SetVoiceNote(nSoundQueue, G2 ,16,0);
    SetVoiceNote(nSoundQueue, A2b,16,0);

    SetVoiceNote(nSoundQueue, G1 ,16,0);
    SetVoiceNote(nSoundQueue, A1 ,16,0);
    SetVoiceNote(nSoundQueue, G2b,16,0);
    SetVoiceNote(nSoundQueue, C3 ,16,0);

    SetVoiceNote(nSoundQueue, E3b,16,0);
    SetVoiceNote(nSoundQueue, C3 ,16,0);
    SetVoiceNote(nSoundQueue, B2 ,16,0);
    SetVoiceNote(nSoundQueue, C3 ,16,0);

    SetVoiceNote(nSoundQueue, G3b,16,0);
    SetVoiceNote(nSoundQueue, C3 ,16,0);
    SetVoiceNote(nSoundQueue, A3 ,16,0);
    SetVoiceNote(nSoundQueue, G3b,16,0);

    SetVoiceNote(nSoundQueue, E3b,16,0);
    SetVoiceNote(nSoundQueue, C3 ,16,0);
    SetVoiceNote(nSoundQueue, B2 ,16,0);
    SetVoiceNote(nSoundQueue, C3 ,16,0);

    SetVoiceNote(nSoundQueue, G2 , 1,0);
    SetVoiceNote(nSoundQueue, 0  ,16,0);  //rest
    SetVoiceNote(nSoundQueue, G2 ,16,0);
    SetVoiceNote(nSoundQueue, G2 ,16,0);
    SetVoiceNote(nSoundQueue, G2 , 1,0);

    StartSound();
    WaitSoundState(S_QUEUEEMPTY);
    StopSound();
    CloseSound();
  }

class TDialog2App : public TApplication  // Application Class to contain
  {                                      // the application
  public:
    TDialog2App(LPSTR lpName, HANDLE hInstance,  // constructor calls the
		HANDLE hPrevInstance,            // base class constructor
		LPSTR lpCmdLine, int nCmdShow)
		:TApplication(lpName, hInstance,
			      hPrevInstance,
			      lpCmdLine, nCmdShow) {};

    virtual void InitMainWindow(); // overrides base class InitMainWindow
  };

void TDialog2App::InitMainWindow() // to initialize a dialog box
  {                                // as the main window
  MainWindow = new TDialog2Dialog("Main_Window_Dialog");
  }                                // using message processing provided
				   // by derived class

int PASCAL WinMain(HANDLE hInstance,              // main entry point from
		   HANDLE hPrevInstance,          // windows to this program
		   LPSTR lpCmdLine , int nCmdShow)
  {
  TDialog2App Dialog2("Dialog Tester",hInstance,  // create instance of
		       hPrevInstance,             // the dialog application
		       lpCmdLine,nCmdShow);
  Dialog2.Run();                                  // run it
  return (Dialog2.Status);                        // exit
  }
/**********************************************************************/
