
#-----------------------------------------------------------------------------#
#                                                                             #
#           WEDL - Windows Enhanced Dialog Library                            #
#           Copyright (c) 1991, Mike Smedley                                  #
#           All Rights Reserved                                               #
#           Module:  DEMO.MAK                                                 #
#                                                                             #
#-----------------------------------------------------------------------------#

#   Microsoft C 6.0
COMP = cl -c -AS -Gsw -Ox -Zpe -W3
LINK = link /NOD
LIBS = libw slibcew

#   Borland C++ 2.0
# COMP = bcc -c -ms -w -WS -O -Z -Ic:\borlandc\include
# LINK = tlink /Twe /v /n /c /Lc:\borlandc\lib c0ws
# LIBS = cwins cs import maths

demo.exe:   demo.obj demo1.obj demo2.obj demo3.obj demo4.obj demo.def \
            demo.res demo.h demohelp.hlp
    $(LINK) demo demo1 demo2 demo3 demo4,demo,demo,$(LIBS) wedl-e,demo
    rc demo.res

demo.obj:   demo.c demo.mak demo.h wedl.h
    $(COMP) demo.c

demo1.obj:  demo1.c demo.mak demo.h demohelp.h wedl.h
    $(COMP) demo1.c

demo2.obj:  demo2.c demo.mak demo.h demohelp.h wedl.h
    $(COMP) demo2.c

demo3.obj:  demo3.c demo.mak demo.h demohelp.h wedl.h
    $(COMP) demo3.c

demo4.obj:  demo4.c demo.mak demo.h wedl.h
    $(COMP) demo4.c

demo.res:   demo.rc demo.h demo.mak wedl.h
    rc -r demo.rc

demohelp.hlp:   demohelp.hpj demohelp.rtf demohelp.h
    hc demohelp.hpj

